# Command: gets

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    gets - Read white space terminated string from stream

Synopsis:

    istream gets -> istream string

Description:

    gets reads a single string from the istream.
      The stream argument is not removed from the stack
      to support successive application of gets.

Diagnostics:

    Raises BadIOError if the read was not successful.

SeeAlso:

- getline
- getc

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/sli_io.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative